Subject: bug#2530: 23/NS: redraws according to mouse-face are slow

From: Chong Yidong <[email-masked]>
Date: Tue, 05 May 2009 10:13:12 -0400

Adrian Robert <[email-masked]> writes:

> That ns_update_begin() acheives the same effect suggests that perhaps
> the core mouse face code should do this (through the RIF).

Yes, show_mouse_face (or one of its callers) should probably call
update_begin and update_end.  But it's a little far along in the pretest
to risk that.  I'll make a note of revisiting this after the release.

Could either your or David check in the nsterm.m fix, assuming no other
problems turn up with it?